/// Units of mole fraction
enum MoleFractionUnit {
  attoMolePerAttoMole,
  attoMolePerCentiMole,
  attoMolePerDecaMole,
  attoMolePerDeciMole,
  attoMolePerExaMole,
  attoMolePerFemtoMole,
  attoMolePerGigaMole,
  attoMolePerHectoMole,
  attoMolePerKiloMole,
  attoMolePerMegaMole,
  attoMolePerMicroMole,
  attoMolePerMilliMole,
  attoMolePerMole,
  attoMolePerNanoMole,
  attoMolePerPetaMole,
  attoMolePerPicoMole,
  attoMolePerTeraMole,
  attoMolePerYoctoMole,
  attoMolePerYottaMole,
  attoMolePerZeptoMole,
  attoMolePerZettaMole,
  centiMolePerAttoMole,
  centiMolePerCentiMole,
  centiMolePerDecaMole,
  centiMolePerDeciMole,
  centiMolePerExaMole,
  centiMolePerFemtoMole,
  centiMolePerGigaMole,
  centiMolePerHectoMole,
  centiMolePerKiloMole,
  centiMolePerMegaMole,
  centiMolePerMicroMole,
  centiMolePerMilliMole,
  centiMolePerMole,
  centiMolePerNanoMole,
  centiMolePerPetaMole,
  centiMolePerPicoMole,
  centiMolePerTeraMole,
  centiMolePerYoctoMole,
  centiMolePerYottaMole,
  centiMolePerZeptoMole,
  centiMolePerZettaMole,
  decaMolePerAttoMole,
  decaMolePerCentiMole,
  decaMolePerDecaMole,
  decaMolePerDeciMole,
  decaMolePerExaMole,
  decaMolePerFemtoMole,
  decaMolePerGigaMole,
  decaMolePerHectoMole,
  decaMolePerKiloMole,
  decaMolePerMegaMole,
  decaMolePerMicroMole,
  decaMolePerMilliMole,
  decaMolePerMole,
  decaMolePerNanoMole,
  decaMolePerPetaMole,
  decaMolePerPicoMole,
  decaMolePerTeraMole,
  decaMolePerYoctoMole,
  decaMolePerYottaMole,
  decaMolePerZeptoMole,
  decaMolePerZettaMole,
  deciMolePerAttoMole,
  deciMolePerCentiMole,
  deciMolePerDecaMole,
  deciMolePerDeciMole,
  deciMolePerExaMole,
  deciMolePerFemtoMole,
  deciMolePerGigaMole,
  deciMolePerHectoMole,
  deciMolePerKiloMole,
  deciMolePerMegaMole,
  deciMolePerMicroMole,
  deciMolePerMilliMole,
  deciMolePerMole,
  deciMolePerNanoMole,
  deciMolePerPetaMole,
  deciMolePerPicoMole,
  deciMolePerTeraMole,
  deciMolePerYoctoMole,
  deciMolePerYottaMole,
  deciMolePerZeptoMole,
  deciMolePerZettaMole,
  exaMolePerAttoMole,
  exaMolePerCentiMole,
  exaMolePerDecaMole,
  exaMolePerDeciMole,
  exaMolePerExaMole,
  exaMolePerFemtoMole,
  exaMolePerGigaMole,
  exaMolePerHectoMole,
  exaMolePerKiloMole,
  exaMolePerMegaMole,
  exaMolePerMicroMole,
  exaMolePerMilliMole,
  exaMolePerMole,
  exaMolePerNanoMole,
  exaMolePerPetaMole,
  exaMolePerPicoMole,
  exaMolePerTeraMole,
  exaMolePerYoctoMole,
  exaMolePerYottaMole,
  exaMolePerZeptoMole,
  exaMolePerZettaMole,
  femtoMolePerAttoMole,
  femtoMolePerCentiMole,
  femtoMolePerDecaMole,
  femtoMolePerDeciMole,
  femtoMolePerExaMole,
  femtoMolePerFemtoMole,
  femtoMolePerGigaMole,
  femtoMolePerHectoMole,
  femtoMolePerKiloMole,
  femtoMolePerMegaMole,
  femtoMolePerMicroMole,
  femtoMolePerMilliMole,
  femtoMolePerMole,
  femtoMolePerNanoMole,
  femtoMolePerPetaMole,
  femtoMolePerPicoMole,
  femtoMolePerTeraMole,
  femtoMolePerYoctoMole,
  femtoMolePerYottaMole,
  femtoMolePerZeptoMole,
  femtoMolePerZettaMole,
  gigaMolePerAttoMole,
  gigaMolePerCentiMole,
  gigaMolePerDecaMole,
  gigaMolePerDeciMole,
  gigaMolePerExaMole,
  gigaMolePerFemtoMole,
  gigaMolePerGigaMole,
  gigaMolePerHectoMole,
  gigaMolePerKiloMole,
  gigaMolePerMegaMole,
  gigaMolePerMicroMole,
  gigaMolePerMilliMole,
  gigaMolePerMole,
  gigaMolePerNanoMole,
  gigaMolePerPetaMole,
  gigaMolePerPicoMole,
  gigaMolePerTeraMole,
  gigaMolePerYoctoMole,
  gigaMolePerYottaMole,
  gigaMolePerZeptoMole,
  gigaMolePerZettaMole,
  hectoMolePerAttoMole,
  hectoMolePerCentiMole,
  hectoMolePerDecaMole,
  hectoMolePerDeciMole,
  hectoMolePerExaMole,
  hectoMolePerFemtoMole,
  hectoMolePerGigaMole,
  hectoMolePerHectoMole,
  hectoMolePerKiloMole,
  hectoMolePerMegaMole,
  hectoMolePerMicroMole,
  hectoMolePerMilliMole,
  hectoMolePerMole,
  hectoMolePerNanoMole,
  hectoMolePerPetaMole,
  hectoMolePerPicoMole,
  hectoMolePerTeraMole,
  hectoMolePerYoctoMole,
  hectoMolePerYottaMole,
  hectoMolePerZeptoMole,
  hectoMolePerZettaMole,
  kiloMolePerAttoMole,
  kiloMolePerCentiMole,
  kiloMolePerDecaMole,
  kiloMolePerDeciMole,
  kiloMolePerExaMole,
  kiloMolePerFemtoMole,
  kiloMolePerGigaMole,
  kiloMolePerHectoMole,
  kiloMolePerKiloMole,
  kiloMolePerMegaMole,
  kiloMolePerMicroMole,
  kiloMolePerMilliMole,
  kiloMolePerMole,
  kiloMolePerNanoMole,
  kiloMolePerPetaMole,
  kiloMolePerPicoMole,
  kiloMolePerTeraMole,
  kiloMolePerYoctoMole,
  kiloMolePerYottaMole,
  kiloMolePerZeptoMole,
  kiloMolePerZettaMole,
  megaMolePerAttoMole,
  megaMolePerCentiMole,
  megaMolePerDecaMole,
  megaMolePerDeciMole,
  megaMolePerExaMole,
  megaMolePerFemtoMole,
  megaMolePerGigaMole,
  megaMolePerHectoMole,
  megaMolePerKiloMole,
  megaMolePerMegaMole,
  megaMolePerMicroMole,
  megaMolePerMilliMole,
  megaMolePerMole,
  megaMolePerNanoMole,
  megaMolePerPetaMole,
  megaMolePerPicoMole,
  megaMolePerTeraMole,
  megaMolePerYoctoMole,
  megaMolePerYottaMole,
  megaMolePerZeptoMole,
  megaMolePerZettaMole,
  microMolePerAttoMole,
  microMolePerCentiMole,
  microMolePerDecaMole,
  microMolePerDeciMole,
  microMolePerExaMole,
  microMolePerFemtoMole,
  microMolePerGigaMole,
  microMolePerHectoMole,
  microMolePerKiloMole,
  microMolePerMegaMole,
  microMolePerMicroMole,
  microMolePerMilliMole,
  microMolePerMole,
  microMolePerNanoMole,
  microMolePerPetaMole,
  microMolePerPicoMole,
  microMolePerTeraMole,
  microMolePerYoctoMole,
  microMolePerYottaMole,
  microMolePerZeptoMole,
  microMolePerZettaMole,
  milliMolePerAttoMole,
  milliMolePerCentiMole,
  milliMolePerDecaMole,
  milliMolePerDeciMole,
  milliMolePerExaMole,
  milliMolePerFemtoMole,
  milliMolePerGigaMole,
  milliMolePerHectoMole,
  milliMolePerKiloMole,
  milliMolePerMegaMole,
  milliMolePerMicroMole,
  milliMolePerMilliMole,
  milliMolePerMole,
  milliMolePerNanoMole,
  milliMolePerPetaMole,
  milliMolePerPicoMole,
  milliMolePerTeraMole,
  milliMolePerYoctoMole,
  milliMolePerYottaMole,
  milliMolePerZeptoMole,
  milliMolePerZettaMole,
  molePerAttoMole,
  molePerCentiMole,
  molePerDecaMole,
  molePerDeciMole,
  molePerExaMole,
  molePerFemtoMole,
  molePerGigaMole,
  molePerHectoMole,
  molePerKiloMole,
  molePerMegaMole,
  molePerMicroMole,
  molePerMilliMole,
  molePerMole,
  molePerNanoMole,
  molePerPetaMole,
  molePerPicoMole,
  molePerTeraMole,
  molePerYoctoMole,
  molePerYottaMole,
  molePerZeptoMole,
  molePerZettaMole,
  nanoMolePerAttoMole,
  nanoMolePerCentiMole,
  nanoMolePerDecaMole,
  nanoMolePerDeciMole,
  nanoMolePerExaMole,
  nanoMolePerFemtoMole,
  nanoMolePerGigaMole,
  nanoMolePerHectoMole,
  nanoMolePerKiloMole,
  nanoMolePerMegaMole,
  nanoMolePerMicroMole,
  nanoMolePerMilliMole,
  nanoMolePerMole,
  nanoMolePerNanoMole,
  nanoMolePerPetaMole,
  nanoMolePerPicoMole,
  nanoMolePerTeraMole,
  nanoMolePerYoctoMole,
  nanoMolePerYottaMole,
  nanoMolePerZeptoMole,
  nanoMolePerZettaMole,
  partPerBillion,
  partPerHundred,
  partPerMillion,
  partPerQuadrillion,
  partPerTenThousand,
  partPerThousand,
  partPerTrillion,
  petaMolePerAttoMole,
  petaMolePerCentiMole,
  petaMolePerDecaMole,
  petaMolePerDeciMole,
  petaMolePerExaMole,
  petaMolePerFemtoMole,
  petaMolePerGigaMole,
  petaMolePerHectoMole,
  petaMolePerKiloMole,
  petaMolePerMegaMole,
  petaMolePerMicroMole,
  petaMolePerMilliMole,
  petaMolePerMole,
  petaMolePerNanoMole,
  petaMolePerPetaMole,
  petaMolePerPicoMole,
  petaMolePerTeraMole,
  petaMolePerYoctoMole,
  petaMolePerYottaMole,
  petaMolePerZeptoMole,
  petaMolePerZettaMole,
  picoMolePerAttoMole,
  picoMolePerCentiMole,
  picoMolePerDecaMole,
  picoMolePerDeciMole,
  picoMolePerExaMole,
  picoMolePerFemtoMole,
  picoMolePerGigaMole,
  picoMolePerHectoMole,
  picoMolePerKiloMole,
  picoMolePerMegaMole,
  picoMolePerMicroMole,
  picoMolePerMilliMole,
  picoMolePerMole,
  picoMolePerNanoMole,
  picoMolePerPetaMole,
  picoMolePerPicoMole,
  picoMolePerTeraMole,
  picoMolePerYoctoMole,
  picoMolePerYottaMole,
  picoMolePerZeptoMole,
  picoMolePerZettaMole,
  teraMolePerAttoMole,
  teraMolePerCentiMole,
  teraMolePerDecaMole,
  teraMolePerDeciMole,
  teraMolePerExaMole,
  teraMolePerFemtoMole,
  teraMolePerGigaMole,
  teraMolePerHectoMole,
  teraMolePerKiloMole,
  teraMolePerMegaMole,
  teraMolePerMicroMole,
  teraMolePerMilliMole,
  teraMolePerMole,
  teraMolePerNanoMole,
  teraMolePerPetaMole,
  teraMolePerPicoMole,
  teraMolePerTeraMole,
  teraMolePerYoctoMole,
  teraMolePerYottaMole,
  teraMolePerZeptoMole,
  teraMolePerZettaMole,
  yoctoMolePerAttoMole,
  yoctoMolePerCentiMole,
  yoctoMolePerDecaMole,
  yoctoMolePerDeciMole,
  yoctoMolePerExaMole,
  yoctoMolePerFemtoMole,
  yoctoMolePerGigaMole,
  yoctoMolePerHectoMole,
  yoctoMolePerKiloMole,
  yoctoMolePerMegaMole,
  yoctoMolePerMicroMole,
  yoctoMolePerMilliMole,
  yoctoMolePerMole,
  yoctoMolePerNanoMole,
  yoctoMolePerPetaMole,
  yoctoMolePerPicoMole,
  yoctoMolePerTeraMole,
  yoctoMolePerYoctoMole,
  yoctoMolePerYottaMole,
  yoctoMolePerZeptoMole,
  yoctoMolePerZettaMole,
  yottaMolePerAttoMole,
  yottaMolePerCentiMole,
  yottaMolePerDecaMole,
  yottaMolePerDeciMole,
  yottaMolePerExaMole,
  yottaMolePerFemtoMole,
  yottaMolePerGigaMole,
  yottaMolePerHectoMole,
  yottaMolePerKiloMole,
  yottaMolePerMegaMole,
  yottaMolePerMicroMole,
  yottaMolePerMilliMole,
  yottaMolePerMole,
  yottaMolePerNanoMole,
  yottaMolePerPetaMole,
  yottaMolePerPicoMole,
  yottaMolePerTeraMole,
  yottaMolePerYoctoMole,
  yottaMolePerYottaMole,
  yottaMolePerZeptoMole,
  yottaMolePerZettaMole,
  zeptoMolePerAttoMole,
  zeptoMolePerCentiMole,
  zeptoMolePerDecaMole,
  zeptoMolePerDeciMole,
  zeptoMolePerExaMole,
  zeptoMolePerFemtoMole,
  zeptoMolePerGigaMole,
  zeptoMolePerHectoMole,
  zeptoMolePerKiloMole,
  zeptoMolePerMegaMole,
  zeptoMolePerMicroMole,
  zeptoMolePerMilliMole,
  zeptoMolePerMole,
  zeptoMolePerNanoMole,
  zeptoMolePerPetaMole,
  zeptoMolePerPicoMole,
  zeptoMolePerTeraMole,
  zeptoMolePerYoctoMole,
  zeptoMolePerYottaMole,
  zeptoMolePerZeptoMole,
  zeptoMolePerZettaMole,
  zettaMolePerAttoMole,
  zettaMolePerCentiMole,
  zettaMolePerDecaMole,
  zettaMolePerDeciMole,
  zettaMolePerExaMole,
  zettaMolePerFemtoMole,
  zettaMolePerGigaMole,
  zettaMolePerHectoMole,
  zettaMolePerKiloMole,
  zettaMolePerMegaMole,
  zettaMolePerMicroMole,
  zettaMolePerMilliMole,
  zettaMolePerMole,
  zettaMolePerNanoMole,
  zettaMolePerPetaMole,
  zettaMolePerPicoMole,
  zettaMolePerTeraMole,
  zettaMolePerYoctoMole,
  zettaMolePerYottaMole,
  zettaMolePerZeptoMole,
  zettaMolePerZettaMole,
}
