/// Units of volume flow
enum VolumeFlowUnit {
  acreFootPerDay,
  acreFootPerYear,
  attoLitrePerDay,
  attoLitrePerHour,
  attoLitrePerMinute,
  attoLitrePerSecond,
  centiLitrePerDay,
  centiLitrePerHour,
  centiLitrePerMinute,
  centiLitrePerSecond,
  cubicAttoMetrePerDay,
  cubicAttoMetrePerHour,
  cubicAttoMetrePerMinute,
  cubicAttoMetrePerSecond,
  cubicCentiMetrePerDay,
  cubicCentiMetrePerHour,
  cubicCentiMetrePerMinute,
  cubicCentiMetrePerSecond,
  cubicDecaMetrePerDay,
  cubicDecaMetrePerHour,
  cubicDecaMetrePerMinute,
  cubicDecaMetrePerSecond,
  cubicDeciMetrePerDay,
  cubicDeciMetrePerHour,
  cubicDeciMetrePerMinute,
  cubicDeciMetrePerSecond,
  cubicExaMetrePerDay,
  cubicExaMetrePerHour,
  cubicExaMetrePerMinute,
  cubicExaMetrePerSecond,
  cubicFemtoMetrePerDay,
  cubicFemtoMetrePerHour,
  cubicFemtoMetrePerMinute,
  cubicFemtoMetrePerSecond,
  cubicFootPerDay,
  cubicFootPerHour,
  cubicFootPerMinute,
  cubicFootPerSecond,
  cubicGigaMetrePerDay,
  cubicGigaMetrePerHour,
  cubicGigaMetrePerMinute,
  cubicGigaMetrePerSecond,
  cubicHectoMetrePerDay,
  cubicHectoMetrePerHour,
  cubicHectoMetrePerMinute,
  cubicHectoMetrePerSecond,
  cubicInchPerDay,
  cubicInchPerHour,
  cubicInchPerMinute,
  cubicInchPerSecond,
  cubicKiloMetrePerDay,
  cubicKiloMetrePerHour,
  cubicKiloMetrePerMinute,
  cubicKiloMetrePerSecond,
  cubicMegaMetrePerDay,
  cubicMegaMetrePerHour,
  cubicMegaMetrePerMinute,
  cubicMegaMetrePerSecond,
  cubicMetrePerDay,
  cubicMetrePerHour,
  cubicMetrePerMinute,
  cubicMetrePerSecond,
  cubicMicroMetrePerDay,
  cubicMicroMetrePerHour,
  cubicMicroMetrePerMinute,
  cubicMicroMetrePerSecond,
  cubicMilliMetrePerDay,
  cubicMilliMetrePerHour,
  cubicMilliMetrePerMinute,
  cubicMilliMetrePerSecond,
  cubicNanoMetrePerDay,
  cubicNanoMetrePerHour,
  cubicNanoMetrePerMinute,
  cubicNanoMetrePerSecond,
  cubicPetaMetrePerDay,
  cubicPetaMetrePerHour,
  cubicPetaMetrePerMinute,
  cubicPetaMetrePerSecond,
  cubicPicoMetrePerDay,
  cubicPicoMetrePerHour,
  cubicPicoMetrePerMinute,
  cubicPicoMetrePerSecond,
  cubicTeraMetrePerDay,
  cubicTeraMetrePerHour,
  cubicTeraMetrePerMinute,
  cubicTeraMetrePerSecond,
  cubicYoctoMetrePerDay,
  cubicYoctoMetrePerHour,
  cubicYoctoMetrePerMinute,
  cubicYoctoMetrePerSecond,
  cubicYottaMetrePerDay,
  cubicYottaMetrePerHour,
  cubicYottaMetrePerMinute,
  cubicYottaMetrePerSecond,
  cubicZeptoMetrePerDay,
  cubicZeptoMetrePerHour,
  cubicZeptoMetrePerMinute,
  cubicZeptoMetrePerSecond,
  cubicZettaMetrePerDay,
  cubicZettaMetrePerHour,
  cubicZettaMetrePerMinute,
  cubicZettaMetrePerSecond,
  decaLitrePerDay,
  decaLitrePerHour,
  decaLitrePerMinute,
  decaLitrePerSecond,
  deciLitrePerDay,
  deciLitrePerHour,
  deciLitrePerMinute,
  deciLitrePerSecond,
  exaLitrePerDay,
  exaLitrePerHour,
  exaLitrePerMinute,
  exaLitrePerSecond,
  femtoLitrePerDay,
  femtoLitrePerHour,
  femtoLitrePerMinute,
  femtoLitrePerSecond,
  gallonPerDay_imperial,
  gallonPerDay_usLiquid,
  gallonPerHour_imperial,
  gallonPerHour_usLiquid,
  gallonPerMinute_imperial,
  gallonPerMinute_usLiquid,
  gallonPerSecond_imperial,
  gallonPerSecond_usLiquid,
  gigaLitrePerDay,
  gigaLitrePerHour,
  gigaLitrePerMinute,
  gigaLitrePerSecond,
  hectoLitrePerDay,
  hectoLitrePerHour,
  hectoLitrePerMinute,
  hectoLitrePerSecond,
  kiloLitrePerDay,
  kiloLitrePerHour,
  kiloLitrePerMinute,
  kiloLitrePerSecond,
  litrePerDay,
  litrePerHour,
  litrePerMinute,
  litrePerSecond,
  megaLitrePerDay,
  megaLitrePerHour,
  megaLitrePerMinute,
  megaLitrePerSecond,
  microLitrePerDay,
  microLitrePerHour,
  microLitrePerMinute,
  microLitrePerSecond,
  milliLitrePerDay,
  milliLitrePerHour,
  milliLitrePerMinute,
  milliLitrePerSecond,
  millionGallonPerDay_imperial,
  millionGallonPerDay_usLiquid,
  nanoLitrePerDay,
  nanoLitrePerHour,
  nanoLitrePerMinute,
  nanoLitrePerSecond,
  oilBarrelPerDay,
  oilBarrelPerHour,
  oilBarrelPerMinute,
  oilBarrelPerSecond,
  petaLitrePerDay,
  petaLitrePerHour,
  petaLitrePerMinute,
  petaLitrePerSecond,
  picoLitrePerDay,
  picoLitrePerHour,
  picoLitrePerMinute,
  picoLitrePerSecond,
  teraLitrePerDay,
  teraLitrePerHour,
  teraLitrePerMinute,
  teraLitrePerSecond,
  yoctoLitrePerDay,
  yoctoLitrePerHour,
  yoctoLitrePerMinute,
  yoctoLitrePerSecond,
  yottaLitrePerDay,
  yottaLitrePerHour,
  yottaLitrePerMinute,
  yottaLitrePerSecond,
  zeptoLitrePerDay,
  zeptoLitrePerHour,
  zeptoLitrePerMinute,
  zeptoLitrePerSecond,
  zettaLitrePerDay,
  zettaLitrePerHour,
  zettaLitrePerMinute,
  zettaLitrePerSecond,
}
